Mojo::BaseUtil(3pm)

NAME
Mojo::BaseUtil - Common utility functions used in Mojo::Base, re-exported in Mojo::Util

SYNOPSIS
  use Mojo::BaseUtil qw(class_to_path monkey_patch);

  my $path = class_to_path 'Foo::Bar';
  monkey_patch 'MyApp', foo => sub { say 'Foo!' };

DESCRIPTION
Mojo::BaseUtil provides functions to both Mojo::Base and Mojo::Util, so that "Mojo::Base" does not have to load the rest of Mojo::Util, while preventing a circular dependency.

SEE ALSO
Mojolicious, Mojolicious::Guides, <https://mojolicious.org>.